FROM mysql:5.7.43

#mysql的工作位置
ENV WORK_PATH /usr/local

#定义会被容器自动执行的目录
ENV AUTO_RUN_DIR /docker-entrypoint-initdb.d

#初始化数据库的SQL 可以选择多个sql文件 下方copy时候要copy多个
ENV SQL_BUS_FILE energy.sql
ENV SQL_NACOS_FILE nacos.sql
ENV SQL_JOB_FILE xxl_job.sql

#自动执行SQL文本变量定义
ENV INSTALL_DATA_SHELL docker-entrypoint.sh
#复制sql文件
COPY ./mysql/$SQL_BUS_FILE $WORK_PATH/
COPY ./mysql/$SQL_NACOS_FILE $WORK_PATH/
COPY ./mysql/$SQL_JOB_FILE $WORK_PATH/
#复制自动执行脚本
COPY ./mysql/$INSTALL_DATA_SHELL $AUTO_RUN_DIR/

#给执行文件增加可执行权限
RUN chmod a+x $AUTO_RUN_DIR/$INSTALL_DATA_SHELL
